Uploaded image for project: 'WildFly'
  1. WildFly
  2. WFLY-9313

DataSource and RA services miss dependency to legacy security service

    XMLWordPrintable

Details

    • Bug
    • Status: Closed (View Workflow)
    • Critical
    • Resolution: Done
    • None
    • 11.0.0.Final
    • JCA
    • None

    Description

      In ActivationSecurityUtil and DsDeploymentXmlInstallProcessor, the necessary dependency to legacy security subsystem might be skipped because some metadata is being overlooked:

      • connection definition security metadata
      • connection definition recovery security metadata
      • xa data source recovery security metadata

      Attachments

        Issue Links

          Activity

            People

              flaviarnn Flavia Rainone
              flaviarnn Flavia Rainone
              Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: